package cn.pluss.platform.merchantRegistLog.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.MerchantRegistLog;
import cn.pluss.platform.merchantRegistLog.MerchantRegistLogService;
import cn.pluss.platform.mapper.MerchantRegistLogMapper;

@Transactional
@Service("merchantRegistLogService")
public class MerchantRegistLogServiceImpl  implements MerchantRegistLogService{

	 private static final Logger logger = LoggerFactory.getLogger( MerchantRegistLogServiceImpl.class);


    @Autowired
	  private MerchantRegistLogMapper merchantRegistLogMapper;

    @Override
    public MerchantRegistLog queryMerchantRegistLog(MerchantRegistLog merchantRegistLog){
        return merchantRegistLogMapper.queryMerchantRegistLog(merchantRegistLog);
    }

    @Override
    public List<MerchantRegistLog> queryMerchantRegistLogList(MerchantRegistLog merchantRegistLog){
        return merchantRegistLogMapper.queryMerchantRegistLogList(merchantRegistLog);
    }
    @Override
    public void saveMerchantRegistLog(MerchantRegistLog merchantRegistLog){
          merchantRegistLogMapper.saveMerchantRegistLog(merchantRegistLog);
    }
    @Override
    public void updateMerchantRegistLog(MerchantRegistLog merchantRegistLog){
        merchantRegistLogMapper.updateMerchantRegistLog(merchantRegistLog);
    }
    @Override
    public void deleteMerchantRegistLog(MerchantRegistLog merchantRegistLog){
        merchantRegistLogMapper.deleteMerchantRegistLog(merchantRegistLog);
    }
    @Override
    public List<MerchantRegistLog> queryMerchantRegistLogPage(Map map){
        return merchantRegistLogMapper.queryMerchantRegistLogPage(map);
    }
    @Override
    public Integer queryMerchantRegistLogPageCount(Map map){
        return merchantRegistLogMapper.queryMerchantRegistLogPageCount(map);
    }
    @Override
    public void saveMerchantRegistLogBatch(List<MerchantRegistLog> merchantRegistLogList) {
         merchantRegistLogMapper.saveMerchantRegistLogBatch(merchantRegistLogList);
    }
}

